import pathlib 
from setuptools import setup, find_packages 
 
 
setup( 
    name="CRR", 
    description="Tool for doing retention rate analysis", 
    long_description=pathlib.Path("README.md").read_text(), 
    long_description_content_type="text/markdown", 
    author="Areg Hovakimyan, Arutiun Dzhilavyan, Karen Sahakyan, Leonid Sarkisyan, Melik Tigranyan", 
    classifiers=[ 
        "Development Status :: 3 - Alpha" 
    ], 
    python_requires=">=3.10, <3.12",  
    install_requires = [ 
        "annotated-types==0.6.0",
        "anyio==4.3.0",
        "appnope==0.1.4",
        "asttokens==2.4.1",
        "click==8.1.7",
        "comm==0.2.2",
        "debugpy==1.8.1",
        "decorator==5.1.1",
        "exceptiongroup==1.2.0",
        "executing==2.0.1",
        "Faker==24.8.0",
        "fastapi==0.110.1",
        "ghp-import==2.1.0",
        "h11==0.14.0",
        "idna==3.6",
        "install==1.3.5",
        "ipykernel==6.29.4",
        "ipython==8.23.0",
        "jedi==0.19.1",
        "Jinja2==3.1.3",
        "joblib==1.4.0",
        "jupyter_client==8.6.1",
        "jupyter_core==5.7.2",
        "Markdown==3.6",
        "MarkupSafe==2.1.5",
        "matplotlib-inline==0.1.6",
        "mergedeep==1.3.4",
        "mkdocs==1.6.0",
        "mkdocs-get-deps==0.2.0",
        "nest-asyncio==1.6.0",
        "numpy==1.26.4",
        "packaging==24.0",
        "pandas==2.2.1",
        "parso==0.8.4",
        "pathspec==0.12.1",
        "pexpect==4.9.0",
        "platformdirs==4.2.0",
        "prompt-toolkit==3.0.43",
        "psutil==5.9.8",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "pydantic==2.6.4",
        "pydantic_core==2.16.3",
        "Pygments==2.17.2",
        "python-dateutil==2.9.0.post0",
        "pytz==2024.1",
        "PyYAML==6.0.1",
        "pyyaml_env_tag==0.1",
        "pyzmq==25.1.2",
        "scikit-learn==1.4.1.post1",
        "scipy==1.13.0",
        "six==1.16.0",
        "sniffio==1.3.1",
        "SQLAlchemy==2.0.29",
        "stack-data==0.6.3",
        "starlette==0.37.2",
        "threadpoolctl==3.4.0",
        "tornado==6.4",
        "traitlets==5.14.2",
        "typing_extensions==4.11.0",
        "tzdata==2024.1",
        "uvicorn==0.29.0",
        "watchdog==4.0.0",
        "wcwidth==0.2.13"

    ], 
    packages=find_packages(include=["CRR", 'CRR.*']), 
    version = "0.0.2"   
)
